import * as plugins from './levelcache.plugins';
import { CacheDiskManager } from './levelcache.classes.cache.diskmanager';
import { CacheMemoryManager } from './levelcache.classes.cache.memorymanager';
import { CacheS3Manager } from './levelcache.classes.cache.s3manager';

/**
 * a leveled cache for storing things for a short time
 */
export class LevelCache {
  public cacheMap = new plugins.lik.Objectmap();
  public cacheDiskManager = new CacheDiskManager();
  public cacheMemoryManager = new CacheMemoryManager();
  public cacheS3Manager = new CacheS3Manager();

  // Blobs
  /**
   * store a Blob
   */
  public async storeBlobByKey () {};

  /**
   * retrieve a blob
   */
  public async retrieveBlob () {};


  // Cache Entries
  /**
   * store a Cache Entries
   */
  public async storeCacheEntry() {};

  /**
   * retrieve cache entry
   */
  public async retrieveCacheEntry () {};

  /**
   * cleans the cache
   */
  public clean() {};
}
